{assign var="path" value="../modules/servers/cloudns/templates"}
{if $version gte '6'}
	{assign var="path" value="./"}
{/if}

{include file="$path/header-settings.tpl"}

<form class="recordsForm" id="recordsForm" method="post" action="clientarea.php?action=productdetails&id={$serviceid}&customAction=do-edit-record&zone={$zone}&dns_record_id={$record.id}">
	Type: {if $record.type == 'WR'}Web Redirect{else} {$record.type}{/if}
	<input type="hidden" value="{$record.type}" name="recordType" /><br/><br />
	TTL:<br />
	<select id="editRecordTtl" name="editRecordTtl" class="form-control editRecordField">
		{foreach from=$ttls key=key item=value}
		<option value="{$value}"{if $record.ttl == $value} selected="selected"{/if}>{$key}</option>
		{/foreach}
	</select><br /><br class="clear" />
	<div>Host:</div>
	<input type="text" id="editRecordHost" name="editRecordHost" class="input-text form-control editRecordField"
value="{$uniHost}"/>.<span class="showTitle" title="{$shortName.title}">{$shortName.shortName}</span><br/>
{if in_array($record.type, array('A', 'AAAA', 'NS', 'MX', 'TXT', 'SPF', 'RP', 'WR', 'CAA'))}
	<small>Leave empty for {$zone}<br /><br /></small>
{/if}
	{if $record.type == 'SRV'}
		<br />
		<div class="SRV_fields type_fields" >
			<div class="pull-left inputSRV srvInputTitle noMargin">Priority: [0-65535]</div>
			<div class="pull-left inputSRV srvInputTitle">Weight: [0-65535]</div>
			<div class="pull-left inputSRV srvInputTitle">Port: [0-65535]</div>
			<input type="text" id="editRecordPriority" name="editRecordPriority" value="{$record.priority|@abs}" class="pull-left form-control inputSRV noMargin" />
			<input type="text" id="editRecordWeight" name="editRecordWeight" value="{$record.weight|@abs}" class="pull-left form-control inputSRV" />
			<input type="text" id="editRecordPort" name="editRecordPort" value="{$record.port|@abs}" class="pull-left form-control inputSRV" /><br class="clear"/>
		</div><br />
		
	{/if}
	
	{if $record.type == 'MX'}
		<br /><div>Priority:</div><input type="text" id="editRecordPriority" name="editRecordPriority" class="input-text form-control editRecordField" value="{$record.priority}" /><br />
	{elseif $record.type == 'NAPTR'}
		<br />
		<div class="NAPTR_fields type_fields"><br />
		<div class="pull-left inputTitle">Order:</div>
		<div class="pull-right inputTitle">Preference:</div>
		<input type="text" id="editRecordOrder" name="editRecordOrder" value="{if isset($record.order)}{$record.order|@htmlspecialchars}{/if}" class="pull-left form-control input-text" />
		<input type="text" id="editRecordPref" name="editRecordPref" value="{if isset($record.pref)}{$record.pref|@htmlspecialchars}{/if}" class="pull-right form-control input-text" /><br /><br />
	</div>

	<div class="NAPTR_fields type_fields"><br />
		<div class="pull-left inputTitle">Flag:</div>
		<div class="pull-right inputTitle">Protocol+Resolution service:</div>
		<select id="editRecordFlag" name="flag" class="pull-left form-control">
			<option value="">Empty flag</option>
			<option value="U" {if $record.flag == 'U'}selected="selected"{/if}>U</option>
			<option value="S" {if $record.flag == 'S'}selected="selected"{/if}>S</option>
			<option value="A" {if $record.flag == 'A'}selected="selected"{/if}>A</option>
			<option value="P" {if $record.flag == 'P'}selected="selected"{/if}>P</option>
		</select>
		<input type="text" id="editRecordParams" name="editRecordParams" class="pull-right form-control input-text" value="{if isset($record.params)}{$record.params|@htmlspecialchars}{/if}" /><br /><br />
	</div>

	<div class="NAPTR_fields type_fields"><br />
		<div class="pull-left inputTitle">Regular Expression:</div>
		<div class="pull-right inputTitle">Replacement:</div>
		<input type="text" id="editRecordRegexp" name="editRecordRegexp" class="pull-left form-control input-text" value="{if isset($record.regexp)}{$record.regexp|@htmlspecialchars}{/if}" />
		<input type="text" id="editRecordReplace" name="editRecordReplace" class="pull-right form-control input-text" value="{if isset($record.replace)}{$record.replace|@htmlspecialchars}{/if}" /><br />
	</div>
	{elseif $record.type == 'SSHFP'}
		<br /><div class="SSHFP_fields type_fields">
			<div class="pull-left inputTitle">Algorithm:</div>
			<div class="pull-right inputTitle">Fingerprint type:</div>
			<select id="editRecordAlgorithm" name="algorithm" class="pull-left form-control editRecordField">
				<option value="1" {if $record.algorithm == 1}selected="selected"{/if}>RSA</option>
				<option value="2" {if $record.algorithm == 2}selected="selected"{/if}>DSA</option>
				<option value="3" {if $record.algorithm == 3}selected="selected"{/if}>ECDSA</option>
				<option value="4" {if $record.algorithm == 4}selected="selected"{/if}>Ed25519</option>
			</select>

			<select id="editRecordFingerprintType" name="fp_type" class="pull-right form-control editRecordField">
				<option value="1" {if $record.fp_type == 1}selected="selected"{/if}>SHA-1</option>
				<option value="2" {if $record.fp_type == 2}selected="selected"{/if}>SHA-256</option>
			</select><br /><br />
		</div>
	{/if}
	{if $record.type != 'RP' && $record.type != 'NAPTR' && $record.type != 'CAA'}
		<br class="clear" /><div>Points to:</div>
		<input type="text" id="editRecordRecord" name="editRecordRecord" value="{$record.record|@htmlspecialchars}" class="input-text editRecordField pointsTo form-control" /> 
		{if $record.type == 'WR'}Example: http:://google.com{/if}<br />
	{/if}
	
	{if $record.type == 'WR'}
			<br />
			<div><label><input type="checkbox" class="pull-left form-control" id="editRecordWRFrame" name="editRecordWRFrame" value="1" {if isset($record.frame) && $record.frame == 1}checked="checked"{/if} style="width:15px !important;" onclick="toggleOptions('WRFrameOptions');"/>Redirect with frame</label></div>

			<div id="WRFrameOptions" style="{if !isset($record.frame) || $record.frame != 1}display:none;{/if}">
				Title:<br />
				<input type="text" id="editRecordWRFrameTitle" name="editRecordWRFrameTitle" class="input-text form-control editRecordField pointsTo" value="{if isset($record.frame_title)}{$record.frame_title|@htmlspecialchars}{/if}" /><br /><br />
				Description:<br />
				<input type="text" id="editRecordWRFrameDescription" name="editRecordWRFrameDescription" class="input-text form-control editRecordField pointsTo" value="{if isset($record.frame_description)}{$record.frame_description|@htmlspecialchars}{/if}" /><br /><br />
				Keywords:<br />
				<input type="text" id="editRecordWRFrameKeywords" name="editRecordWRFrameKeywords" class="input-text form-control editRecordField pointsTo" value="{if isset($record.frame_keywords)}{$record.frame_keywords|@htmlspecialchars}{/if}" /><br /><br />
			</div>

			<label><input type="checkbox" class="pull-left form-control" id="editRecordWRSavePath" name="editRecordWRSavePath" value="1" {if isset($record.save_path) && $record.save_path == 1}checked="checked"{/if} style="width:15px !important;"/>Save path</label>

		<div id="WRTypeOptions" style="{if !isset($record.frame) || $record.frame == 0} {else}display:none;{/if}"><br />
			Redirect type:<br />
			<label><input type="radio" name="wr_type" id="editRecordWRType" {if isset($record.redirect_type) && $record.redirect_type == 301}checked="checked"{/if} value="301" class="inputRadio pull-left form-control" /> 301 Moved permanently</label>
			<label><input type="radio" name="wr_type" id="editRecordNewWRType" {if isset($record.redirect_type) && $record.redirect_type != 301}checked="checked"{/if} value="302" class="inputRadio pull-left form-control" /> 302 Temporary redirect</label>

		</div>
	{elseif $record.type == 'RP'}
			<br /><div class="RP_fields type_fields">
			<div class="pull-left inputTitle fleft">Responsible person (Email):</div>
			<div class="pull-right inputTitle fleft">TXT Record:</div>
			<input type="text" id="editRecordMail" name="editRecordMail" class="pull-left fleft form-control" value="{$record.mail}" />
			<input type="text" id="editRecordTxt" name="editRecordTxt" class="pull-right form-control" value="{$record.txt}" /><br class="clear" />
		</div>
	{elseif $record.type == 'CAA'}
		<div class="CAA_fields type_fields">
			<div class="pull-left fleft inputTitle">Flag: <img src="./assets/img/help.gif" class="showTitle" title="The flag depends on your needs. It can be either Non Critical or Critical. Usually the Non Critical is used." alt="[?]" /></div>
			<div class="pull-right fright inputTitle">Type: <img src="./assets/img/help.gif" class="showTitle" title="The Type is one of issue, issuewild or iodef. Issue is for the specified hostname; Issuewild is for wildcard of the hostname; iodef is for a way to notify the domain owner in case someone tries to order an SSL for the hostname, it's usually an email 'mailto:owner@example.com' or an URL to a web form 'http://falsessl.example.com'." alt="[?]" /></div>
			<select id="editRecordCAAflag" name="editRecordCAAflag" class="pull-left form-control inputTitle fleft">
				<option value="0" {if $record.caa_flag == 0}selected="selected"{/if}>(0) Non critical</option>
				<option value="128" {if $record.caa_flag == 128}selected="selected"{/if}>(128) Critical</option>
			</select>
			<select id="editRecordCAAtype" name="editRecordCAAtype" class="pull-right form-control inputTitle fright">
				<option value="issue" {if $record.caa_type == 'issue'}selected="selected"{/if}>issue</option>
				<option value="issuewild" {if $record.caa_type == 'issuewild'}selected="selected"{/if}>issuewild</option>
				<option value="iodef" {if $record.caa_type == 'iodef'}selected="selected"{/if}>iodef</option>
			</select>
			<br class="clear" />
		</div>

		<div class="CAA_fields type_fields"><br />
			<div class="fleft inputSRV inputTitle">Value: <img src="./assets/img/help.gif" class="showTitle" title="The value given from your preferred CA or a value of your choice. It can be the CA hostname or mailto:you@your-mail.com, it depends on the Type and your needs." alt="[?]" /></div>
			<br />
			<input type="text" id="editRecordCAAvalue" name="editRecordCAAvalue" value="{$record.caa_value}" class="form-control input-text editRecordField pointsTo" />
			<br class="clear" /><br />
		</div>
	{/if}

	<br /><br />
	
	<input type="submit" value="Update" class="btn btn-primary btn-input-padded-responsive" />

	{if $record.type == 'WR'}
	<br /><br />
	<div class="notification">
		<b>You can use these variables for your record:</b><br /><br />
		<b>{literal}{*host*}{/literal}</b> = The current host (ex. www.{$zone})<br />
		<b>{literal}{*domain*}{/literal}</b> = The current domain ({$zone})<br />
		<b>{literal}{*subdomain*}{/literal}</b> = The value of the field Host (ex. your-name)<br /><br />

		<b>Example 1:</b><br />
		Host: www<br />
		Points to: http://{literal}{*domain*}{/literal}/?ref={literal}{*host*}{/literal}<br />

		<b>What will happen?</b><br />
		When a user goes to <b>http://www.{$zone}</b> he will be redirected to
		<b>http://{$zone}/?ref=www.{$zone}</b><br /><br />

		<b>Example 2:</b><br />
		Host: ref-id-123<br />
		Points to: http://some-referal-site.net/?ref={literal}{*host*}{/literal}<br />

		<b>What will happen?</b><br />
		When a user goes to <b>http://ref-id-123.{$zone}</b> he will be redirected to
		<b>http://some-referal-site.net/?ref=ref-id-123.{$zone}</b><br /><br />

		<b>Example 3:</b><br />
		Host: your-name<br />
		Points to: http://some-referal-site.net/?ref={literal}{*subdomain*}{/literal}<br />

		<b>What will happen?</b><br />
		When a user goes to <b>http://your-name.{$zone}</b> he will be redirected to
		<b>http://some-referal-site.net/?ref=your-name</b>
	</div>
	{/if}

</form>
